@if (products$ | async; as products) {
  @if (products.length > 0) {
    <div class="caption">
      <h1>Products ({{products.length}})</h1>
      <a routerLink="new">
        <svg
          width="24"
          height="24"
          xmlns="http://www.w3.org/2000/svg"
          fill-rule="evenodd"
          clip-rule="evenodd">
          <path d="M11.5 0c6.347 0 11.5 5.153 11.5 11.5s-5.153 11.5-11.5 11.5-11.5-5.153-11.5-11.5 5.153-11.5 11.5-11.5zm0 1c5.795 0 10.5 4.705 10.5 10.5s-4.705 10.5-10.5 10.5-10.5-4.705-10.5-10.5 4.705-10.5 10.5-10.5zm.5 10h6v1h-6v6h-1v-6h-6v-1h6v-6h1v6z"/>
        </svg>
      </a>
    </div>
  }

  <ul class="pill-group">
    @for (product of products; track product.id) {
      <li class="pill">
        @switch (product.category) {
          @case ('Peripherals') { ⌨️ }
          @case ('Storage') { 💎 }
          @default { 🏷️ }
        }
        <a [routerLink]="[product.id]">{{product.title}}</a>
      </li>
    } @empty {
      <p>No products found!</p>
    }
  </ul>
}

<router-outlet></router-outlet>